import type { _PDFAnnotation } from "./PDFAnnotation.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSColor } from "../AppKit/NSColor.js";
import type { _NSFont } from "../AppKit/NSFont.js";
import type { NSTextAlignment } from "../AppKit/NSTextAlignment.js";
export declare class _PDFAnnotationFreeText extends _PDFAnnotation {
    static alloc(): _PDFAnnotationFreeText;
    static new(): _PDFAnnotationFreeText;
    init(): _PDFAnnotationFreeText;
    /** Font and font color associated with the text field. */
    font(): _NSFont;
    fontColor(): _NSColor;
    /**
     * Alignment of text within annotation bounds. Supported: NSLeftTextAlignment, NSRightTextAlignment and NSCenterTextAlignment.
     */
    alignment(): NSTextAlignment;
    setAlignment$(alignment: NSTextAlignment): void;
}
export interface _PDFAnnotationFreeText extends _NSCopying {
}
